Subject: Re: bug#5608: 23.1.92; ibuffer.el lacks instructions

From: Stefan Kangas <[email-masked]>
Date: Sun, 30 Jun 2019 08:44:23 +0200

tags 5608 + patch
quit

[email-masked] writes:
> In ibuffer.el we see
>
>   ;; ibuffer.el is an advanced replacement for the `buffer-menu' which
>   ;; is normally distributed with Emacs.  Its interface is intended to
>   ;; be analogous to that of Dired.
>
> and
>
>   (defgroup ibuffer nil
>     "An advanced replacement for `buffer-menu'.
>
>   Ibuffer allows you to operate on buffers in a manner much like Dired.
>   Operations include sorting, marking by regular expression, and
>   the ability to filter the displayed buffers by various criteria."
>
> However nowhere is it mentioned what one should do to their .emacs file
> to become a regular ibuffer user. It should mention rebinding stanzas or
> "put" commands, etc.

I took a stab at this.  Please see the attached patch.

I also took the opportunity to remove redundant :group args from
defcustoms.

Thanks,
Stefan Kangas